Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1Page<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1Page<T>

Type Parameters:
  `T` - The type of result values.
Record Components:
  `fieldItems` - The list of results.
  `fieldPageIndex` - The page index.
  `fieldPageCount` - The page count.
  `fieldPageFirstOffset` - The offset of the first item in the page.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1Page<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>(com.io7m.cedarbridge.runtime.api.CBList<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> fieldItems, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageIndex, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageCount, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldPageFirstOffset) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
A page of results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1Page(com.io7m.cedarbridge.runtime.api.CBList<T> fieldItems, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageIndex, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageCount, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldPageFirstOffset)`
  Creates an instance of a `IdA1Page` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  IdA1Page<T>`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT)`
  Deserialize a value of type IdA1Page.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBList<T>`
  `fieldItems()`
  Returns the value of the `fieldItems` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldPageCount()`
  Returns the value of the `fieldPageCount` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64`
  `fieldPageFirstOffset()`
  Returns the value of the `fieldPageFirstOffset` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldPageIndex()`
  Returns the value of the `fieldPageIndex` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1Page<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT)`
  Serialize a value of type IdA1Page.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1Page

    public IdA1Page(com.io7m.cedarbridge.runtime.api.CBList<T> fieldItems, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageIndex, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageCount, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldPageFirstOffset)
    Creates an instance of a `IdA1Page` record class.
    Parameters:
      `fieldItems` - the value for the `fieldItems` record component
      `fieldPageIndex` - the value for the `fieldPageIndex` record component
      `fieldPageCount` - the value for the `fieldPageCount` record component
      `fieldPageFirstOffset` - the value for the `fieldPageFirstOffset` record component

- ## Method Details

  - ### serialize

    public static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1Page<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT) throws IOException
    Serialize a value of type IdA1Page.
    Type Parameters:
      `T` - The type of one or more serialized fields.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
      `$serializeT` - A serializer for values of type T.
    Throws:
      `IOException`

  - ### deserialize

    public static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> IdA1Page<T> deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT) throws IOException
    Deserialize a value of type IdA1Page.
    Type Parameters:
      `T` - The type of one or more deserialized fields.
    Parameters:
      `$context` - The serialization context.
      `$deserializeT` - A deserializer for values of type T.
    Returns:
      A value of type IdA1Page.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldItems

    public com.io7m.cedarbridge.runtime.api.CBList<T> fieldItems()
    Returns the value of the `fieldItems` record component.
    Returns:
      the value of the `fieldItems` record component

  - ### fieldPageIndex

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageIndex()
    Returns the value of the `fieldPageIndex` record component.
    Returns:
      the value of the `fieldPageIndex` record component

  - ### fieldPageCount

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageCount()
    Returns the value of the `fieldPageCount` record component.
    Returns:
      the value of the `fieldPageCount` record component

  - ### fieldPageFirstOffset

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldPageFirstOffset()
    Returns the value of the `fieldPageFirstOffset` record component.
    Returns:
      the value of the `fieldPageFirstOffset` record component